LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Commands

### fix efield command

Syntax:

    fix ID group-ID efield ex ey ez

- ID, group-ID are documented in fix command
- efield = style name of this fix command
- ex,ey,ez = E-field component values (electric field units)

Examples:

    fix kick external-field efield 1.0 0.0 0.0

Description:

Add a force F = qE to each charged atom in the group due to an external electric field being applied to the system.

Restart, fix_modify, output, run start/stop, minimize info:

No information about this fix is written to binary restart files. None of the fix_modify options are relevant to this fix. No global scalar or vector or per-atom quantities are stored by this fix for access by various output commands. No parameter of this fix can be used with the start/stop keywords of the run command. This fix is not invoked during energy minimization.

Restrictions: none

Related commands:

fix addforce

Default: none